LibreOffice: _typelib_TypeDescriptionReference Struct Reference

LibreOffice LibreOffice 7.1 SDK C/C++ API Reference

Public Attributes | List of all members
_typelib_TypeDescriptionReference Struct Reference

Holds a weak reference to a type description. More...

`#include <typedescription.h>`

## Public Attributes
sal_Int32 | nRefCount
| reference count of type; don't ever modify this by yourself, use typelib_typedescriptionreference_acquire() and typelib_typedescriptionreference_release() More...
sal_Int32 | nStaticRefCount
| number of static references of type, because of the fact that some types are needed until program termination and are commonly held static. More...
typelib_TypeClass | eTypeClass
| type class of type More...
rtl_uString * | pTypeName
| fully qualified name of type More...
struct _typelib_TypeDescription * | pType
| pointer to full typedescription; this value is only valid if the type is never swapped out More...
void * | pUniqueIdentifier
| pointer to optimize the runtime; not for public use More...
void * | pReserved
| reserved for future use; 0 if not used More...

## Detailed Description

Holds a weak reference to a type description.

## Member Data Documentation

## ◆ eTypeClass

typelib_TypeClass _typelib_TypeDescriptionReference::eTypeClass

type class of type

## ◆ nRefCount

sal_Int32 _typelib_TypeDescriptionReference::nRefCount

reference count of type; don't ever modify this by yourself, use typelib_typedescriptionreference_acquire() and typelib_typedescriptionreference_release()

## ◆ nStaticRefCount

sal_Int32 _typelib_TypeDescriptionReference::nStaticRefCount

number of static references of type, because of the fact that some types are needed until program termination and are commonly held static.

## ◆ pReserved

void* _typelib_TypeDescriptionReference::pReserved

reserved for future use; 0 if not used

## ◆ pType

struct _typelib_TypeDescription* _typelib_TypeDescriptionReference::pType

pointer to full typedescription; this value is only valid if the type is never swapped out

## ◆ pTypeName

rtl_uString* _typelib_TypeDescriptionReference::pTypeName

fully qualified name of type

## ◆ pUniqueIdentifier

void* _typelib_TypeDescriptionReference::pUniqueIdentifier

pointer to optimize the runtime; not for public use

The documentation for this struct was generated from the following file:

- typelib/typedescription.h